//=============================================================================
// Entspricht Hanoi2, nur aufgeteilt auf mehrere Dateien.

#include <iostream>
#include <limits>
#include "hanoi.h"
using std::cin;
using std::cout;
using std::numeric_limits;
using std::streamsize;

//-------------------------------------------------------------------------------

int main()
{
   cout << "Aufg_15_03_Tuerme_von_Hanoi_3\n\n";

   int count;
   for (;;)
   {
      cout << "Mit wie vielen Scheiben (1-20) sollen die Tuerme von Hanoi gespielt werden: ";
      cin >> count;
      if (!cin.fail() && count > 0 && count < 21) break;
      cout << "\nEingabe-Fehler\n\n";
      cin.clear();
      cin.ignore(numeric_limits<streamsize>::max(), '\n');
   }

   Hanoi hanoi(count);
   hanoi.play();
}
